<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>Combat_Docu: Character Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Combat_Docu
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_character-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Character Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Character:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_character.png" usemap="#Character_map" alt=""/>
  <map id="Character_map" name="Character_map">
<area href="class_enemy.html" alt="Enemy" shape="rect" coords="0,112,102,136"/>
<area href="class_player.html" alt="Player" shape="rect" coords="112,112,214,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a98bebdb5d37a51749749f0684f14a6ca"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a98bebdb5d37a51749749f0684f14a6ca">Start</a> ()</td></tr>
<tr class="separator:a98bebdb5d37a51749749f0684f14a6ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae67a38dc1773d89f6ecbce31efef38bb"><td class="memItemLeft" align="right" valign="top">abstract IEnumerator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#ae67a38dc1773d89f6ecbce31efef38bb">TakeDamage</a> ()</td></tr>
<tr class="separator:ae67a38dc1773d89f6ecbce31efef38bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af47691dce17c7b8ce9c3a9b4b6065878"><td class="memItemLeft" align="right" valign="top">abstract void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#af47691dce17c7b8ce9c3a9b4b6065878">Death</a> ()</td></tr>
<tr class="separator:af47691dce17c7b8ce9c3a9b4b6065878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3112a6b5aaf00d953f13ea1b646f8b13"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a3112a6b5aaf00d953f13ea1b646f8b13">changeDirection</a> ()</td></tr>
<tr class="separator:a3112a6b5aaf00d953f13ea1b646f8b13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc2c7ac3178c268156ff51eb84c03b1c"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#adc2c7ac3178c268156ff51eb84c03b1c">ThrowKinfe</a> (int value)</td></tr>
<tr class="separator:adc2c7ac3178c268156ff51eb84c03b1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adda946180ff313ec4908581633fc3f6f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#adda946180ff313ec4908581633fc3f6f">MeleeAttack</a> ()</td></tr>
<tr class="separator:adda946180ff313ec4908581633fc3f6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04e60bbd4042cd68c7f1e28c9ab08ce8"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a04e60bbd4042cd68c7f1e28c9ab08ce8">OnTriggerEnter2D</a> (Collider2D other)</td></tr>
<tr class="separator:a04e60bbd4042cd68c7f1e28c9ab08ce8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ac5a0a12d4f60bbcd615ce158c1619f22"><td class="memItemLeft" align="right" valign="top">Transform&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#ac5a0a12d4f60bbcd615ce158c1619f22">KnifePos</a></td></tr>
<tr class="separator:ac5a0a12d4f60bbcd615ce158c1619f22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9736a10fdc286ad7798c38be664b093a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a9736a10fdc286ad7798c38be664b093a">movementSpeed</a></td></tr>
<tr class="separator:a9736a10fdc286ad7798c38be664b093a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d2b934db61c3af70db995d8392ff57e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a2d2b934db61c3af70db995d8392ff57e">faceRight</a></td></tr>
<tr class="separator:a2d2b934db61c3af70db995d8392ff57e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76d0b88e480cf87109ef96302bb4918c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a76d0b88e480cf87109ef96302bb4918c">health</a></td></tr>
<tr class="separator:a76d0b88e480cf87109ef96302bb4918c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a5b3fd8f625e060df3d051cdefcbb9975"><td class="memItemLeft" align="right" valign="top">abstract bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a5b3fd8f625e060df3d051cdefcbb9975">IsDead</a><code> [get]</code></td></tr>
<tr class="separator:a5b3fd8f625e060df3d051cdefcbb9975"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d036d30db358d377be8a5799231f39f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a4d036d30db358d377be8a5799231f39f">Attack</a><code> [get, set]</code></td></tr>
<tr class="separator:a4d036d30db358d377be8a5799231f39f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a886fd818fe5b4d360f4485a4681e509e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#a886fd818fe5b4d360f4485a4681e509e">TakingDamage</a><code> [get, set]</code></td></tr>
<tr class="separator:a886fd818fe5b4d360f4485a4681e509e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab651b2b59bd92b2d712bb1be6e469bef"><td class="memItemLeft" align="right" valign="top">Animator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#ab651b2b59bd92b2d712bb1be6e469bef">MyAnimator</a><code> [get]</code></td></tr>
<tr class="separator:ab651b2b59bd92b2d712bb1be6e469bef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb6f1fa08feffd02a5fc7b688d32e402"><td class="memItemLeft" align="right" valign="top">EdgeCollider2D&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_character.html#abb6f1fa08feffd02a5fc7b688d32e402">SwordCollider</a><code> [get]</code></td></tr>
<tr class="separator:abb6f1fa08feffd02a5fc7b688d32e402"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a3112a6b5aaf00d953f13ea1b646f8b13"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Character.changeDirection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="af47691dce17c7b8ce9c3a9b4b6065878"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">abstract void Character.Death </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="class_player.html#ada39e34e3377b1114cdbe8bed4216d5b">Player</a>, and <a class="el" href="class_enemy.html#ad35b5852738158d886d8913cba2629ab">Enemy</a>.</p>

</div>
</div>
<a class="anchor" id="adda946180ff313ec4908581633fc3f6f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Character.MeleeAttack </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a04e60bbd4042cd68c7f1e28c9ab08ce8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Character.OnTriggerEnter2D </td>
          <td>(</td>
          <td class="paramtype">Collider2D&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="class_enemy.html#a46fdfbc6d51595ce0e3be62bea896719">Enemy</a>.</p>

</div>
</div>
<a class="anchor" id="a98bebdb5d37a51749749f0684f14a6ca"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Character.Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="class_player.html#a51282a731e3b964c1b128f32eed334b9">Player</a>, and <a class="el" href="class_enemy.html#ae554634f49258f07529cad477263267c">Enemy</a>.</p>

</div>
</div>
<a class="anchor" id="ae67a38dc1773d89f6ecbce31efef38bb"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">abstract IEnumerator Character.TakeDamage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="class_player.html#a370cc9e34722ae369f2beb10478c241b">Player</a>, and <a class="el" href="class_enemy.html#a9a33eea034e63094a8eea21779f9a109">Enemy</a>.</p>

</div>
</div>
<a class="anchor" id="adc2c7ac3178c268156ff51eb84c03b1c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Character.ThrowKinfe </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented in <a class="el" href="class_player.html#a259144833328e11dd1503feaa5d9d0c1">Player</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a2d2b934db61c3af70db995d8392ff57e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Character.faceRight</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a76d0b88e480cf87109ef96302bb4918c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Character.health</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ac5a0a12d4f60bbcd615ce158c1619f22"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Transform Character.KnifePos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9736a10fdc286ad7798c38be664b093a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float Character.movementSpeed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a class="anchor" id="a4d036d30db358d377be8a5799231f39f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Character.Attack</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a5b3fd8f625e060df3d051cdefcbb9975"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">abstract bool Character.IsDead</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ab651b2b59bd92b2d712bb1be6e469bef"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Animator Character.MyAnimator</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="abb6f1fa08feffd02a5fc7b688d32e402"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">EdgeCollider2D Character.SwordCollider</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a886fd818fe5b4d360f4485a4681e509e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Character.TakingDamage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Users/Ron Alpha/Desktop/team22cs243/2Darcade/Assets/scripts/<a class="el" href="_character_8cs.html">Character.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
